Bug 608988 - Cannot de-select Hanja lock in applet menu
Summary: Cannot de-select Hanja lock in applet menu
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ibus   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: fujiwara
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 611714
TreeView+ depends on / blocked
 
Reported: 2010-06-29 06:25 UTC by Kenichi Takemura
Modified: 2014-08-04 22:02 UTC (History)
4 users (show)

Fixed In Version: ibus-1.3.4-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 611714 (view as bug list)
Environment:
Last Closed: 2010-07-23 06:20:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kenichi Takemura 2010-06-29 06:25:38 UTC
Description of problem:

When using Korean Input Method of iBus, once select Hanja lock, never de-select again.

Version-Release number of selected component (if applicable):

RHEL Version:Red Hat Enterprise Linux Workstation release 6.0 Beta (Santiago)
Kernel:2.6.32-37.el6.x86_64
Package:
ibus-1.3.3-1.el6.x86_64
ibus-hangul-1.3.0.20100329-1.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Add Korean Input Method
2. Trun iBus on in an application
3. Mouse click on the Korean iBus icon and select Hanja lock
4. Mouse click on the Korean iBus icon and de-select Hanja lock
  
Actual results:

De-selecting is disabled.

Expected results:

Is this spec?

Additional info:

Comment 2 RHEL Product and Program Management 2010-06-29 06:42:52 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Daiki Ueno 2010-06-30 04:14:51 UTC
I guess this is a bug of ibus not ibus-hangul.  I've just filed the bug at the upstream issue tracker with a patch:

http://code.google.com/p/ibus/issues/detail?id=987

Comment 4 fujiwara 2010-07-06 09:11:50 UTC
Thanks for the patch and upstream. I verified the patch.
rf. rawhide is fixed.
http://koji.fedoraproject.org/koji/taskinfo?taskID=2297472

Comment 10 Kenichi Takemura 2010-07-16 01:06:34 UTC
Verified.

$ rpm -q ibus
ibus-1.3.4-2.el6.x86_64

Hangul keyboard(Dubeolsik): qorrhktkwjs「Enter」
백과사전 (with Hanja lock)
百科辭典 (without Hanja lock)

Hangul keyboard(Sebeolsik Final): ;rxkvfnflts「Enter」
백과사전 (with Hanja lock)
百科辭典 (without Hanja lock)

Hangul keyboard(Sebeolsik 390): ;rxkvfnflts「Enter」
백과사전 (with Hanja lock)
百科辭典 (without Hanja lock)

Hangul keyboard(Sebeolsik No-shift): ;rxkvfnflts「Enter」
백과사전 (with Hanja lock)
百科辭典 (without Hanja lock)

Hangul keyboard(Sebeolsik 2 set): qoRrhktkwjS「Enter」
백과사전 (with Hanja lock)
百科辭典 (without Hanja lock)

Hangul keyboard(Romaja): baeggoasajeon「Enter」
백과사전 (with Hanja lock)
百科辭典 (without Hanja lock)

Comment 11 Kenichi Takemura 2010-07-23 06:20:54 UTC
Closing this bug.

Verified on host build from rel-eng/RHEL6.0-20100715.0 tree


Note You need to log in before you can comment on or make changes to this bug.